Subject: Re: [PATCH] Teach mailsplit about Maildir's

From: Johan Herland <[email-masked]>
Date: Sun, 20 May 2007 20:53:32 +0200

On Sunday 20 May 2007, Junio C Hamano wrote:
> "Fernando J. Pereda" <[email-masked]> writes:
> 
> > Signed-off-by: Fernando J. Pereda <[email-masked]>
> > ---
> >
> > 	I never got ACK or NACK when I sent it the first time, that's why
> > 	I'm resending this one with (almost) no changes.
> 
> Sorry, I had a (n obviously false) impression that you retracted
> this patch due to this:
> 
> > ...
> > +IMPORTANT: Maildir splitting relies upon filenames being sorted to output
> > +patches in the correct order.
> 
> I am sure there are many users who uses Maildir layout on this
> list.  Happy with this patch?  Please speak out.

I use KMail with Maildir for all my mail, except for my "patches" mail folder 
where I copy patches to import into my repos (which is in mbox format). 
KMail makes it easy to mix mbox and Maildir folders, so it's not really a 
big deal for me, but I would of course prefer Maildir support if it's 
possible to get it right.

Not sure how I feel about the usefulness of the patch if it requires correct 
sorting, and most mail clients turn out to _not_ sort correctly. Of course 
I have no idea what most mail clients do, but KMail seems to get it about 
right, AFAICS (mail filename starts with timestamp, so they're at least 
sorted roughly on (arrival) date).

Have fun!

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net